import * as plugins from './interfaces.plugins.js';

export interface IRequest_GetSocialSession
  extends plugins.typedrequestInterfaces.implementsTR<
    plugins.typedrequestInterfaces.ITypedRequest,
    IRequest_GetSocialSession
  > {
  method: 'getSocialSession';
  request: {
    existingSessionId?: string;
  };
  response: {
    newSessionId: string;
  };
}

export interface IRequest_AttachProfileId
  extends plugins.typedrequestInterfaces.implementsTR<
    plugins.typedrequestInterfaces.ITypedRequest,
    IRequest_AttachProfileId
  > {
  method: 'attachProfileId';
  request: {
    sessionId: string;
    profileId: string;
  };
  response: {
    newSessionId: string;
  };
}

export interface IRequest_GetConversations
  extends plugins.typedrequestInterfaces.implementsTR<
    plugins.typedrequestInterfaces.ITypedRequest,
    IRequest_GetConversations
  > {
  method: 'getConversations';
  request: {
    sessionId: string;
  };
  response: {};
}
